Assigns providers from template (specific jobs)
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders/forJobParts \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders/forJobParts"
payload = { "jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders/forJobParts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"continuous": true,
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"filename": "<string>",
"imported": true,
"jobAssignedEmailTemplate": {},
"notificationIntervalInMinutes": 123,
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"sourceFileUid": "<string>",
"targetLang": "<string>",
"uid": "<string>",
"updateSourceDate": "2023-11-07T05:31:56Z",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
]
}Project
Assigns providers from template (specific jobs)
Jobs that will be skipped:
- jobs in Assigned status
- jobs that already has assignments
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
applyTemplate
/
{templateUid}
/
assignProviders
/
forJobParts
Assigns providers from template (specific jobs)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the template
UID of the project
Body
application/json
Job parts to assign
References to job parts.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
OK
Job parts affected by the operation
Show child attributes
Show child attributes
Was this page helpful?
⌘I